---
search:
  tags:
    - Variants
    - GET
seo:
  description: >-
    Get a variant. Reference for the GET /products/{product_id}/variants/{id}
    endpoint in the Bolder API v2.
sidebar:
  label: Get a variant
  badge: GET
title: Get a variant
type: openapi-operation
---
`GET /products/{product_id}/variants/{id}`

**Responses**

- `200` — Variant details
- `404` — Variant not found

Response example, 200:

```json
{
  "id": 201,
  "product_id": 101,
  "name": "Small",
  "sku": "WH-001-S",
  "regular_price": 8999,
  "price": 8999,
  "online_stock": 10
}
```
